﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url        = 'https://download.microsoft.com/download/E/4/7/E4771905-1079-445B-8BF9-8A1A075D8A10/IntegrationRuntime_5.37.8767.4.msi'
$checksum   = 'f74729a7d69bf5ba1a4581b02bd86612d152afc76e552fc6b4e9a9f188370061'
$softwareName = 'microsoft-integration-runtime *5.37.8767.4*'


if ([Version] (Get-CimInstance Win32_OperatingSystem).Version -lt [version] "10.0.0.0") {
  Write-Error "Microsoft Integration Runtime requires a minimum of Windows 10 or Windows Server 2016"
}


$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  fileType      = 'msi'
  url           = $url
  silentArgs    = "/quiet"
  validExitCodes= @(0, 3010, 1641)
  checksum      = $checksum
  checksumType  = 'sha256'
  softwareName  = $softwareName
}

Install-ChocolateyPackage @packageArgs
